/**
 * Theme Customizer enhancements for a better user experience.
 *
 * Contains handlers to make Theme Customizer preview reload changes asynchronously.
 */

( function( $ ) {
	// Site title and description.
	wp.customize( 'blogname', function( value ) {
		value.bind( function( to ) {
			$( '.site-title a' ).text( to );
		} );
	} );
	wp.customize( 'blogdescription', function( value ) {
		value.bind( function( to ) {
			$( '.site-description' ).text( to );
		} );
	} );
	// Header text color.
	wp.customize( 'header_textcolor', function( value ) {
		value.bind( function( to ) {
			if ( 'blank' === to ) {
				$( '.site-title, .site-description' ).css( {
					'clip': 'rect(1px, 1px, 1px, 1px)',
					'position': 'absolute'
				} );
			} else {
				$( '.site-title, .site-description' ).css( {
					'clip': 'auto',
					'color': to,
					'position': 'relative'
				} );
			}
		} );
	} );

	// View documentation
	$( '<a href="http://gretathemes.com/docs/" target="_blank"></a>' )
		.text( TotomoCustomizer.docs )
		.css( {
			'display'       : 'inline-block',
			'border-radius' : '2px',
			'background'    : '#ea6f60',
			'color'         : '#fff',
			'text-transform': 'uppercase',
			'margin'        : '6px 10px 0 0',
			'padding'       : '3px 6px',
			'font-size'     : '9px',
			'letter-spacing': '1px',
			'line-height'   : 1.5
		} )
		.appendTo( '.preview-notice' );

	// Upgrade to pro notice
	$( '<a href="http://gretathemes.com/wordpress-themes/totomo" target="_blank"></a>' )
		.text( TotomoCustomizer.pro )
		.css( {
			'display'       : 'inline-block',
			'border-radius' : '2px',
			'background'    : '#4cae4c',
			'color'         : '#fff',
			'text-transform': 'uppercase',
			'margin'        : '0',
			'padding'       : '3px 6px',
			'font-size'     : '9px',
			'letter-spacing': '1px',
			'line-height'   : 1.5
		} )
		.appendTo( '.preview-notice' );
} )( jQuery );
